<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Order extends Model
{
    protected $table = 'tbl_order';

    protected $fillable = [
        'order_ref_id',
        'order_at',
        'name',
        'email',
        'address',
        'order_amount',
    ];

    public function orderItems()
    {
        return $this->hasMany(OrderItem::class);
    }
}

