<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_order', function (Blueprint $table) {
    $table->id();
    $table->string('order_ref_id');
    $table->timestamp('order_at')->nullable();
    $table->string('name');
    $table->string('email');
    $table->text('address');
    $table->decimal('order_amount', 10, 2)->default(0.00);
    $table->timestamps();
});
    }

    public function down()
    {
        Schema::dropIfExists('tbl_order');
    }
};
